edu.northwestern.at.morphadorner.corpuslinguistics.postagger

## Interface PartOfSpeechRetagger

- All Superinterfaces:
    PartOfSpeechTagger
  All Known Implementing Classes:
    DefaultPartOfSpeechRetagger, HeppleTagger, IRetagger, NoopRetagger, ProperNounRetagger, SimpleRuleBasedTagger, TCPRetagger

      public interface PartOfSpeechRetagger
      extends PartOfSpeechTagger

  Interface for a Part of Speech retagger.

  A retagger takes the output of another tagger and retags the words. Normally this is used to apply fixup rules to the output of a statistical tagger.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCanAddOrDeleteWords()` Can retagger add or delete words in the original sentence?
    `<T extends AdornedWord> java.util.List<T>` | `retagSentence(java.util.List<T> sentence)` Retag a sentence.
    `void` | `setCanAddOrDeleteWords(boolean canAddOrDeleteWords)` Can retagger add or delete words in the original sentence?

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PartOfSpeechTagger

      `clearRuleCorrections, getContextualSmoother, getLexicalSmoother, getLexicon, getLexicon, getPartOfSpeechGuesser, getPostTokenizer, getRetagger, getRuleCorrections, getTagCount, getTagsForWord, getTransitionMatrix, incrementRuleCorrections, retagWords, setContextRules, setContextualSmoother, setLexicalRules, setLexicalSmoother, setLexicon, setPartOfSpeechGuesser, setPostTokenizer, setRetagger, setTransitionMatrix, tagAdornedWordList, tagAdornedWordSentence, tagAdornedWordSentences, tagSentence, tagSentences, usesContextRules, usesLexicalRules, usesTransitionProbabilities`

- - ### Method Detail

    - #### retagSentence

          <T extends AdornedWord> java.util.List<T> retagSentence(java.util.List<T> sentence)

      Retag a sentence.
      Parameters:
        `sentence` - The sentence as an `AdornedWord` .
      Returns:
        The sentence with words retagged.

    - #### getCanAddOrDeleteWords

          boolean getCanAddOrDeleteWords()

      Can retagger add or delete words in the original sentence?
      Returns:
        true if retagger can add or delete words.

    - #### setCanAddOrDeleteWords

          void setCanAddOrDeleteWords(boolean canAddOrDeleteWords)

      Can retagger add or delete words in the original sentence?
      Parameters:
        `canAddOrDeleteWords` - true if retagger can add or delete words.